Voker logo

API Reference

  • Create Event

    POST

    /api/v1/events

    Create an event.

    Creating an endpoint requires supplying a fingerprint. See how to create a fingerprint here.

    Agents, Agent Versions, People and Sessions that are provided but do not exist will be created.

    Request body


    • event_name

      llm

      Required

      Type of the event. Currently, only "llm" is supported.

    • properties

      object

      Required

      LLM event properties.

      Inputs includes the body of the llm call and output includes the response from the llm call in the provider specific format.

    • fingerprint_id

      string

      Required

      The fingerprint of the client that generated the event.

    • agent

      string

      The name of the agent associated with the event.

      If this agent does not exist, it will be created. If an agent is not supplied, a default agent will be used.

    • agent_version

      string

      The name of the agent version associated with the event.

      If this agent version does not exist, it will be created. If an agent version is not supplied, a default version will be used.

    • person

      string

      The unique identifier of the person associated with the event.

      If the person does not exist, it will be created.

    • session

      string

      The unique identifier of the session associated with the event.

      If the session does not exist, it will be created.

    Responses


    • 200 Successful Response

    • 404 Not Found

      • type

        fingerprint-not-found

  • Get Person

    GET

    /api/v1/people/{person_id}

    Retrieve a person.

    Responses


    • 200 Successful Response

      • person_id

        string

      • properties

        object | null

      • created_at

        string

    • 404 Not Found

      • type

        person-not-found

  • Update Person

    PUT

    /api/v1/people/{person_id}

    Update a person.

    Request body


    • properties

      object

      Required

    Responses


    • 200 Successful Response

      • person_id

        string

      • properties

        object | null

      • created_at

        string

    • 404 Not Found

      • type

        person-not-found

  • Create Person

    PUT

    /api/v1/people

    Create a person.

    See Create a Person for more information.

    Request body


    • person_id

      string

      Required

    • properties

      object

    Responses


    • 200 Successful Response

      • person_id

        string

      • properties

        object | null

      • created_at

        string

  • Create Fingerprint

    PUT

    /api/v1/fingerprints

    Create a fingerprint for the client making requests.

    See here for more information.

    Request body


    • language

      string

      Required

    • language_version

      string

      Required

    • openai_sdk_version

      string

    • anthropic_sdk_version

      string

    • gemini_sdk_version

      string

    • voker_sdk_version

      string

    • all_packages

      object

    • system

      string

      Required

    • git_repository_url

      string

    • git_branch

      string

    • git_commit_hash

      string

    • git_commit_date

      string

    Responses


    • 200 Successful Response

      • fingerprint_id

        string

  • Get Agent

    GET

    /api/v1/agents/{agent_name}

    Retrieve an agent.

    Responses


    • 200 Successful Response

      • agent_name

        string

        Unique identifier for the agent.

      • description

        string | null

      • agent_number

        integer

        Unique number assigned to the agent.

      • created_at

        string

      • deprecated_at

        string | null

    • 404 Not Found

      • type

        agent-not-found

  • Create Agent

    PUT

    /api/v1/agents

    Create an agent.

    Request body


    • agent_name

      string

      Required

      Unique identifier for the agent.

    • description

      string

    Responses


    • 200 Successful Response

      • agent_name

        string

        Unique identifier for the agent.

      • description

        string | null

      • agent_number

        integer

        Unique number assigned to the agent.

      • created_at

        string

      • deprecated_at

        string | null

  • Get Agent Version

    GET

    /api/v1/agents/{agent_name}/agent-versions/{agent_version_name}

    Retrieve an agent version.

    Responses


    • 200 Successful Response

      • agent_version_name

        string

        Unique identifier for the agent version within its agent.

      • description

        string | null

      • agent_version_number

        integer

        Unique number assigned to the agent version within its agent.

      • created_at

        string

      • deprecated_at

        string | null

    • 404 Not Found

        Any of:

        • type

          agent-not-found

        • type

          agent-version-not-found

  • Create Agent Version

    PUT

    /api/v1/agents/{agent_name}/agent-versions

    Create an agent version for a given agent.

    See Creating an Agent Version for more information.

    Request body


    • agent_version_name

      string

      Required

      Unique identifier for the agent version within its agent.

    • description

      string

    Responses


    • 200 Successful Response

      • agent_version_name

        string

        Unique identifier for the agent version within its agent.

      • description

        string | null

      • agent_version_number

        integer

        Unique number assigned to the agent version within its agent.

      • created_at

        string

      • deprecated_at

        string | null

    • 404 Not Found

      • type

        agent-not-found